<template>
    <div class="dialog-table-container sub-page-inner">
        <div class="sub-page-detail full-detail" style="width: 100%">
            <el-table
                :element-loading-background="loadingColor"
                v-loading="loading"
                height="calc(100% - 20px)"
                align="center"
                :data="tableData"
                class="dialog_table"
                :header-cell-style="{'text-align': 'center'}"
            >
                <el-table-column
                    type="index"
                    label="序号"
                    width="80"
                    align="center"
                ></el-table-column>
                <el-table-column
                    prop="name"
                    label="项目"
                    width="240"
                    align="left"
                >
                </el-table-column>
                <el-table-column
                    prop="detail"
                    label="已完成工作"
                    align="left"
                >
                </el-table-column>
            </el-table>
        </div>
    </div>
</template>

<script>
import apiList from '@/api/bigScreen/districView.js'
import majorStaticData from '@/views/BigScreen/js/majorStaticData.js'
export default {
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            tableData: majorStaticData.zbBatchData,
        }
    },
    mounted() {
        this.getData()
        this.$bus.$on('changeDate', (searchDate) => {
            this.getData()
        })
    },
    created() {
        this.$emit('searchDateChange')
    },
    methods: {
        getData() {
            return
            this.loading = true
            let data = JSON.parse(sessionStorage.getItem('searchDate'))
            console.log(data)
            // 综合
            apiList.getDemandHeatList(data, (res) => {
                this.tableData = res.demandRank
                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped>
.column-item-rotate {
  display: inline-block;
  transform: rotateX(180deg);
}
.cqlt-icon-arrow {
  font-size: 18px;
}
.column-trend-icon-1 {
  color: #59c06c;
  text-shadow: #59c06c 1px 0 12px;
}
.column-trend-icon-2 {
  color: #fe3b30;
  text-shadow: #fe3b30 1px 0 12px;
}
</style>
<style lang="scss">
@import './table.scss';
</style>
